devel/ecore - The NetBSD Packages Collection

Event Abstraction and Modular Convenience Library

Ecore is the core event abstraction layer and X abstraction layer
that makes doing selections, Xdnd, general X stuff, and event loops,
timeouts and idle handlers fast, optimized, and convenient.
It's a separate library so anyone can make use of the work put into Ecore
to make this job easy for applications.

Build dependencies

pkgtools/x11-links x11/xorgproto pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

devel/eet graphics/evas-buffer graphics/evas-software-x11 graphics/evas www/curl x11/libXScrnSaver x11/libXcomposite x11/xcursor x11/xcursor x11/libXrender x11/libXdamage x11/liboldXrandr x11/liboldXrandr x11/libXtst devel/eet graphics/evas www/curl x11/xcursor x11/liboldXrandr

Available binary packages

aarch64:ecore-1.7.10nb2.tgz(NetBSD 9.0)
aarch64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
aarch64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
alpha:ecore-1.7.10nb3.tgz(NetBSD 9.0)
alpha:ecore-1.7.10nb2.tgz(NetBSD 9.0)
alpha:ecore-1.7.10nb3.tgz(NetBSD 9.0)
earmv6hf:ecore-1.7.10nb3.tgz(NetBSD 9.0)
earmv6hf:ecore-1.7.10nb2.tgz(NetBSD 9.0)
earmv6hf:ecore-1.7.10nb3.tgz(NetBSD 9.0)
earmv6hf:ecore-1.7.10nb3.tgz(NetBSD 9.0)
earmv7hf:ecore-1.7.10nb3.tgz(NetBSD 8.0)
earmv7hf:ecore-1.7.10nb2.tgz(NetBSD 8.0)
earmv7hf:ecore-1.7.10nb3.tgz(NetBSD 8.0)
earmv7hf:ecore-1.7.10nb3.tgz(NetBSD 9.0)
earmv7hf:ecore-1.7.10nb2.tgz(NetBSD 9.0)
earmv7hf:ecore-1.7.10nb3.tgz(NetBSD 9.0)
earmv7hf:ecore-1.7.10nb3.tgz(NetBSD 9.0)
i386:ecore-1.7.10nb2.tgz(NetBSD 8.0)
i386:ecore-1.7.10nb3.tgz(NetBSD 8.0)
i386:ecore-1.7.10nb3.tgz(NetBSD 8.0)
i386:ecore-1.7.10nb2.tgz(NetBSD 9.0)
i386:ecore-1.7.10nb3.tgz(NetBSD 9.0)
i386:ecore-1.7.10nb3.tgz(NetBSD 9.0)
mips64eb:ecore-1.7.10nb3.tgz(NetBSD 9.0)
mips64eb:ecore-1.7.10nb3.tgz(NetBSD 9.0)
powerpc:ecore-1.7.10nb2.tgz(NetBSD 8.0)
powerpc:ecore-1.7.10nb3.tgz(NetBSD 8.0)
powerpc:ecore-1.7.10nb3.tgz(NetBSD 8.0)
powerpc:ecore-1.7.10nb3.tgz(NetBSD 9.0)
powerpc:ecore-1.7.10nb2.tgz(NetBSD 9.0)
sparc64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
sparc64:ecore-1.7.10nb2.tgz(NetBSD 9.0)
sparc64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
sparc:ecore-1.7.10nb3.tgz(NetBSD 9.0)
sparc:ecore-1.7.10nb3.tgz(NetBSD 9.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 8.0)
x86_64:ecore-1.7.10nb2.tgz(NetBSD 8.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 8.0)
x86_64:ecore-1.7.10nb2.tgz(NetBSD 9.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 9.0)
x86_64:ecore-1.7.10nb3.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]